Hi,
   i have some problem when i try to cross compile gst-ffmpeg for my arm board, pls help me.
  

  i configure gst-ffmpeg as follows:


./configure CC=arm-none-linux-gnueabi-gcc --build=i686-linux --host=arm-none-linux-gnueabi --prefix=/usr/local/gstreamer CFLAGS=-I/usr/local/gstreamer/include/ LDFLAGS=-L/usr/local/gstreamer/lib


PKG_CONFIG_PATH=/usr/local/gstreamer/lib/pkgconfig
LD_LIBRARY_PATH=/usr/local/gstreamer/lib

but i get the error saying :


Configuring included FFmpeg instance with args --prefix=/usr/local/gstreamer --disable-ffserver --disable-ffplay        --enable-postproc --enable-gpl --enable-static --enable-shared     --disable-encoder=flac --disable-decoder=cavs --disable-protocols --disable-devices     --disable-network --disable-hwaccels --enable-cross-compile         --target-os=linux-gnueabi --arch=arm --cross-prefix=arm-none-linux-gnueabi- --disable-ffmpeg
Unknown OS 'linux-gnueabi'.

If you think configure made a mistake, make sure you are using the latest
version from SVN.  If the latest version fails, report the problem to the
ffmpeg-user@mplayerhq.hu mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "config.err" produced by configure as this will help
solving the problem.
config.status: error: Failed to configure embedded FFmpeg tree


how should i configure  gst-ffmpeg , pls help me, thanks!


in addition, i want to know if i want to play video on my arm board, what videosink i can use? when i use autovideosink , the message it displays as follows:


[root@Real6410 /]# gst-launch filesrc location=/usr/local/gstreamer/demo/S.avi !
 decodebin ! ffmpegcolorspace ! videoscale ! autovideosink
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
WARNING: from element /GstPipeline:pipeline0/GstAutoVideoSink:autovideosink0: Resource not found.
Additional debug info:
gstautovideosink.c(320): gst_auto_video_sink_find_best (): /GstPipeline:pipeline0/GstAutoVideoSink:autovideosink0:
Failed to find a usable video sink
ERROR: from element /GstPipeline:pipeline0/GstDecodeBin:decodebin0: A AVI demuxer plugin is required to play this stream, but not installed.
Additional debug info:
gstdecodebin.c(986): close_pad_link (): /GstPipeline:pipeline0/GstDecodeBin:decodebin0:
No decoder to handle media type 'video/x-msvideo'
ERROR: pipeline doesn't want to preroll.
Setting pipeline to NULL ...
Freeing pipeline ...


Best regards

 

daisy